/*
 * dac.c
 *
 * Created: 21.01.2015 20:27:02
 *  Author: Fabian
 */

#include <avr/io.h>
#include <stdlib.h>
//#include "dac.h"

//DAC an PB3 konfigurieren
void dac_conf_pb3(){

	DACB.CTRLC = DAC_REFSEL_gm | 0x01;
	DACB.CTRLC = ~(DAC_LEFTADJ_bm);

	DACB.CTRLA = (DAC_CH1EN_bm | DAC_ENABLE_bm);
}

//Wert Voltage an DAC
void dac_conversion_pb3(uint16_t voltage){

	DACB.CH1DATA = voltage;
	while (~DACB.STATUS & DAC_CH1DRE_bm);
}
